Subject: Re: [bug#56872] [PATCH v2] gnu: mu: Update to 1.8.7.

From: muradm <[email-masked]>
Date: Tue, 02 Aug 2022 23:13:53 +0300

From below error I see that it is pth package failing to build.
Most likely there are others that are not getting built.
Does it mean that it was never built before mu-1.8.7?
Does it mean that we sould restrict mu-1.8.7 by platform?

Maxime Devos <[email-masked]> writes:

> [[PGP Signed Part:Undecided]]
>
> On 02-08-2022 21:27, muradm wrote:
>>
>> Thanks, I know.
>> My laptop won't survive, to be correct.
>> That what I ment :)
>
> The build farm has substitutes for the cross-compiler and the
> cross-compiled glib (at least if you are cross-compiling from
> x86_64-linux), so except for downloading some additional 
> substitutes,
> cross-compiling mu should not take much longer than compiling 
> natively
> (assuming the substitute server is authorised).
>
> In fact, for me it finished after a few seconds because of 
> dependency
> pth fails to cross-compile:
>
>> checking size of short... grep: /usr/include/features.h: No 
>> such
>> file or directory
>> [...]
>>
>> ./libtool --mode=compile --quiet aarch64-linux-gnu-gcc -c -I. 
>> -O2
>> -pipe pth_mctx.c
>> pth_mctx.c: In function '__pth_mctx_set':
>> pth_mctx.c:480:2: error: #error "Unsupported Linux (g)libc 
>> version
>> and/or platform"
>>   480 | #error "Unsupported Linux (g)libc version and/or 
>> platform"
>>       |  ^~~~~
>> make: *** [Makefile:155: pth_mctx.lo] Error 1
>> error: in phase 'build': uncaught exception:
>>
> Greetings,
> Maxime.
>
> [2. OpenPGP public key --- application/pgp-keys; 
> OpenPGP_0x49E3EE22191725EE.asc]...
>
> [[End of PGP Signed Part]]